import { EmblaCarouselType } from 'embla-carousel-vue';
import { BreakpointKey } from "../config/responsiveConfig";
export declare const addPrevNextBtnsClickHandlers: (carouselApi: EmblaCarouselType, prevBtn?: Element | null, nextBtn?: Element | null) => (() => void);
export declare const addTogglePrevNextBtnsActive: (carouselApi: EmblaCarouselType, prevBtn?: Element | null, nextBtn?: Element | null) => (() => void);
export declare const addDotBtnsAndClickHandlers: (carouselApi: EmblaCarouselType, dotsNode?: Element | null) => (() => void);
export declare const createDotsAndArrows: (carouselNode?: HTMLDivElement, carouselApi?: EmblaCarouselType) => void;
/**
 *  breakpoint에 해당하는 속성이 없다면 이전 화면의 field를 가져온다.
 *  breakpoint가 [xl, lg, md, sm] 일 때, xl에 field가 없다면 lg | md | sm 의 값을 가져온다.
 */
export declare const findNextBreakpointProp: (prop: keyof UiCarouselProps, propsBreakpoints?: UiCarouselProps['breakpoints'], breakpointKey?: BreakpointKey) => string | number | true | {
    sm?: UiCarouselProps | undefined;
    md?: UiCarouselProps | undefined;
    lg?: UiCarouselProps | undefined;
    xl?: UiCarouselProps | undefined;
} | undefined;
/**
 *  UiCarousel에서 breakpoints: {lg: {arrow: true}} 일 때,
 *  현재 화면이 lg 이상일 때, arrow: true 를 리턴하고, lg이하일 때, 기본 props값을 리턴한다.
 */
export declare const getBreakpointsProp: (prop: keyof UiCarouselProps, props: UiCarouselProps, breakpointKey?: BreakpointKey) => string | number | boolean | {
    sm?: UiCarouselProps | undefined;
    md?: UiCarouselProps | undefined;
    lg?: UiCarouselProps | undefined;
    xl?: UiCarouselProps | undefined;
} | undefined;
export type UiCarouselProps = {
    perView?: number | 'auto';
    loop?: boolean;
    center?: boolean;
    gap?: string;
    dragFree?: boolean;
    slidesToScroll?: number;
    autoplay?: boolean;
    autoplayDelay?: number;
    vertical?: boolean;
    arrow?: boolean;
    dots?: boolean;
    counter?: boolean;
    startIndex?: number;
    trimSnaps?: boolean;
    breakpoints?: {
        [key in BreakpointKey]?: UiCarouselProps;
    };
    detectScrollable?: boolean;
    enableMouseDrag?: boolean;
    autoHeight?: boolean;
};
